﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using Picasa2Piwigo;
using System.Windows.Forms;
using System.Drawing;

namespace Picasa2PiwigoCommonFunctions
{
    public class LabelAdjust
    {
        public void AdjustLabelSize(Label labeltoadjust)
        {
            while (labeltoadjust.Width < System.Windows.Forms.TextRenderer.MeasureText(labeltoadjust.Text,
                     new Font(labeltoadjust.Font.FontFamily, labeltoadjust.Font.Size, labeltoadjust.Font.Style)).Width)
            {
                labeltoadjust.Font = new Font(labeltoadjust.Font.FontFamily, labeltoadjust.Font.Size - 0.5f, labeltoadjust.Font.Style);
            }
        }
        public void AdjustRadioButtonSize(RadioButton Radiotoadjust)
        {
            while (Radiotoadjust.Width < System.Windows.Forms.TextRenderer.MeasureText(Radiotoadjust.Text,
                     new Font(Radiotoadjust.Font.FontFamily, Radiotoadjust.Font.Size, Radiotoadjust.Font.Style)).Width)
            {
                Radiotoadjust.Font = new Font(Radiotoadjust.Font.FontFamily, Radiotoadjust.Font.Size - 0.5f, Radiotoadjust.Font.Style);
            }
        }
        public void AdjustButtonSize(Button ButtonToadjust)
        {
            while (ButtonToadjust.Width < System.Windows.Forms.TextRenderer.MeasureText(ButtonToadjust.Text,
                     new Font(ButtonToadjust.Font.FontFamily, ButtonToadjust.Font.Size, ButtonToadjust.Font.Style)).Width)
            {
                ButtonToadjust.Font = new Font(ButtonToadjust.Font.FontFamily, ButtonToadjust.Font.Size - 0.5f, ButtonToadjust.Font.Style);
            }
        }
    }
}

namespace Picasa2PiwigoConstants
{
    public class constants
    {
        //debug settings
        public const bool DEBUG_LOCALE = false;
        public const string SET_LOCALE = "es";
        public const bool DEBUG_LOG_ENABLED = false;

        public const int COMMAND_START_UP = 1;
        public const int COMMAND_ADD_TO_ALBUM = 2;
        public const int COMMAND_NEW_ALBUM = 3;

        public const int MAX_DUPLICATE_FILENAMES = 10000;
        public const int MAX_NUMBER_OF_CONTACTS = 512;
        public struct PersonIDStruct
        {
            public string name;
            public int index;
        }

        public struct UniqueIDStruct
        {
            public string unique_id;
            public int index;
        }
    }
}

namespace Picasa2Piwigo
{
    using Picasa2PiwigoConstants;
    static class GlobalClass
    {
        private static constants.PersonIDStruct[] m_contact_array = new constants.PersonIDStruct[constants.MAX_NUMBER_OF_CONTACTS];
        private static constants.UniqueIDStruct[] m_picasa_unique_id_arrary = new constants.UniqueIDStruct[constants.MAX_NUMBER_OF_CONTACTS];
        private static XmlDocument m_AlbumList = new XmlDocument();
        private static string m_NewAlbumName;
        private static int m_NewAlbumParentID;
        private static string m_StatusDialogErrorMessage;
        private static int m_AddAlbumCategoryID;
        private static int m_person_count;
        private static int m_unique_id_count;
        private static string m_PiwigoVersionNumber;
        private static string m_NewAlbumDescription;

        public static XmlDocument AlbumList
        {
            get { return m_AlbumList;}
            set {m_AlbumList = value;}
        }
        public static string NewAlbumName
        {
            get { return m_NewAlbumName; }
            set { m_NewAlbumName = value; }
        }
        public static int NewAlbumNameParentID
        {
            get { return m_NewAlbumParentID; }
            set { m_NewAlbumParentID = value; }
        }
        public static string StatusDialogErrorMessage
        {
            get { return m_StatusDialogErrorMessage; }
            set { m_StatusDialogErrorMessage = value; }
        }
        public static constants.PersonIDStruct[] contact_array
        {
            get { return m_contact_array; }
            set { m_contact_array = value; }
        }
        public static constants.UniqueIDStruct[] picasa_unique_id_arrary
        {
            get { return m_picasa_unique_id_arrary; }
            set { m_picasa_unique_id_arrary = value; }
        }
        public static int AddAlbumCategoryID
        {
            get { return m_AddAlbumCategoryID; }
            set { m_AddAlbumCategoryID = value; }
        }
        public static int person_count
        {
            get { return m_person_count; }
            set { m_person_count = value; }
        }
        public static int unique_id_count
        {
            get { return m_unique_id_count; }
            set { m_unique_id_count = value; }
        }
        public static string NewAlbumDescription
        {
            get { return m_NewAlbumDescription; }
            set { m_NewAlbumDescription = value; }
        }
        public static string PiwigoVersionNumber
        {
            get { return m_PiwigoVersionNumber; }
            set { m_PiwigoVersionNumber = value; }
        }
    }
}
